XmlIdentifiers (Apache Tomcat 8.5.78 API Documentation)

Package org.apache.tomcat.util.descriptor

## Class XmlIdentifiers

- java.lang.Object
- - org.apache.tomcat.util.descriptor.XmlIdentifiers

-     public final class XmlIdentifiers
      extends Object

  Defines constants for well-known Public and System identifiers documented by the Servlet and JSP specifications.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DATATYPES_PUBLIC` |
    `static String` | `JAVAEE_1_4_NS` |
    `static String` | `JAVAEE_5_NS` |
    `static String` | `JAVAEE_6_NS` |
    `static String` | `JAVAEE_7_NS` |
    `static String` | `TLD_11_PUBLIC` |
    `static String` | `TLD_11_SYSTEM` |
    `static String` | `TLD_12_PUBLIC` |
    `static String` | `TLD_12_SYSTEM` |
    `static String` | `TLD_20_XSD` |
    `static String` | `TLD_21_XSD` |
    `static String` | `WEB_22_PUBLIC` |
    `static String` | `WEB_22_SYSTEM` |
    `static String` | `WEB_23_PUBLIC` |
    `static String` | `WEB_23_SYSTEM` |
    `static String` | `WEB_24_XSD` |
    `static String` | `WEB_25_XSD` |
    `static String` | `WEB_30_XSD` |
    `static String` | `WEB_31_XSD` |
    `static String` | `WEB_FRAGMENT_30_XSD` |
    `static String` | `WEB_FRAGMENT_31_XSD` |
    `static String` | `WEBSERVICES_11_XSD` |
    `static String` | `WEBSERVICES_12_XSD` |
    `static String` | `WEBSERVICES_13_XSD` |
    `static String` | `WEBSERVICES_14_XSD` |
    `static String` | `XML_2001_XSD` |
    `static String` | `XSD_10_PUBLIC` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_2001_XSD

          public static final String XML_2001_XSD

      See Also:
        Constant Field Values

    - #### DATATYPES_PUBLIC

          public static final String DATATYPES_PUBLIC

      See Also:
        Constant Field Values

    - #### XSD_10_PUBLIC

          public static final String XSD_10_PUBLIC

      See Also:
        Constant Field Values

    - #### WEB_22_PUBLIC

          public static final String WEB_22_PUBLIC

      See Also:
        Constant Field Values

    - #### WEB_22_SYSTEM

          public static final String WEB_22_SYSTEM

      See Also:
        Constant Field Values

    - #### TLD_11_PUBLIC

          public static final String TLD_11_PUBLIC

      See Also:
        Constant Field Values

    - #### TLD_11_SYSTEM

          public static final String TLD_11_SYSTEM

      See Also:
        Constant Field Values

    - #### WEB_23_PUBLIC

          public static final String WEB_23_PUBLIC

      See Also:
        Constant Field Values

    - #### WEB_23_SYSTEM

          public static final String WEB_23_SYSTEM

      See Also:
        Constant Field Values

    - #### TLD_12_PUBLIC

          public static final String TLD_12_PUBLIC

      See Also:
        Constant Field Values

    - #### TLD_12_SYSTEM

          public static final String TLD_12_SYSTEM

      See Also:
        Constant Field Values

    - #### JAVAEE_1_4_NS

          public static final String JAVAEE_1_4_NS

      See Also:
        Constant Field Values

    - #### WEB_24_XSD

          public static final String WEB_24_XSD

      See Also:
        Constant Field Values

    - #### TLD_20_XSD

          public static final String TLD_20_XSD

      See Also:
        Constant Field Values

    - #### WEBSERVICES_11_XSD

          public static final String WEBSERVICES_11_XSD

      See Also:
        Constant Field Values

    - #### JAVAEE_5_NS

          public static final String JAVAEE_5_NS

      See Also:
        Constant Field Values

    - #### WEB_25_XSD

          public static final String WEB_25_XSD

      See Also:
        Constant Field Values

    - #### TLD_21_XSD

          public static final String TLD_21_XSD

      See Also:
        Constant Field Values

    - #### WEBSERVICES_12_XSD

          public static final String WEBSERVICES_12_XSD

      See Also:
        Constant Field Values

    - #### JAVAEE_6_NS

          public static final String JAVAEE_6_NS

      See Also:
        Constant Field Values

    - #### WEB_30_XSD

          public static final String WEB_30_XSD

      See Also:
        Constant Field Values

    - #### WEB_FRAGMENT_30_XSD

          public static final String WEB_FRAGMENT_30_XSD

      See Also:
        Constant Field Values

    - #### WEBSERVICES_13_XSD

          public static final String WEBSERVICES_13_XSD

      See Also:
        Constant Field Values

    - #### JAVAEE_7_NS

          public static final String JAVAEE_7_NS

      See Also:
        Constant Field Values

    - #### WEB_31_XSD

          public static final String WEB_31_XSD

      See Also:
        Constant Field Values

    - #### WEB_FRAGMENT_31_XSD

          public static final String WEB_FRAGMENT_31_XSD

      See Also:
        Constant Field Values

    - #### WEBSERVICES_14_XSD

          public static final String WEBSERVICES_14_XSD

      See Also:
        Constant Field Values